module.exports = function (grunt) {

  grunt.loadNpmTasks('grunt-babel')
  grunt.loadNpmTasks('grunt-contrib-clean')
  grunt.loadNpmTasks('grunt-contrib-concat')
  grunt.loadNpmTasks('grunt-contrib-copy')

  grunt.initConfig({
    babel: {
      options: {
        sourceMap: true
      },
      dist: {
        files: [
          {
            'lib/app.js': 'react/src/app.js'
          },
          {
            expand: true,
            cwd: 'react/src/containers/',
            src: ['**/*.js'],
            dest: 'lib/containers/'
          },
          {
            expand: true,
            cwd: 'react/src/components/',
            src: ['**/*.js'],
            dest: 'lib/components/'
          },
          {
            expand: true,
            cwd: 'react/src/themes/',
            src: ['**/*.js'],
            dest: 'lib/themes/'
          }
        ]
      }
    },
    clean: {
      folder: ['lib/**/']
    },
    copy: {
      main: {
        expand: true,
        src: 'react/src/assets/*/',
        dest: 'lib/assets/',
      },
    },
  });

  grunt.registerTask('default', ['clean', 'babel', 'copy'])
};